コンテンツへスキップ

Phota

統合

モデルID phota/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/phota/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.09 90 APIクレジット このページで実行

APIキーを取得
Open model 画像編集 4K出力4Kまで #edit#personalization#typography#phota

1~10枚の入力画像と任意の学習済みプロファイルに対応する、同一性維持型の写真編集

Open model · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 8000

[[profile_id_1]]や[[profile_id_2]]などのプロファイル参照と、作成内容の説明を含められる画像生成プロンプト。

•必須 image_urls
ファイルをドロップ、または

編集する画像。URLまたはBase64データURIとして指定します。最初の10件を超える項目は無視されます。少なくとも1枚の画像を指定するか、テキストのみから生成する場合は代わりに`/`エンドポイントを使用します。

resolution デフォルト 1K

生成画像に使用する解像度。

aspect_ratio デフォルト auto

出力画像の横幅と高さの比率。

num_images デフォルト 1

生成する画像数。

詳細設定 output_format · base_model · enable_safety_checker · profile_ids
output_format デフォルト jpeg

結果の画像のファイル形式。

base_model デフォルト nb2

レンダリングモデルの選択。`4K`は`nb2`でのみ使用できます。選択したベースモデルにアイデンティティレイヤーを重ねるため、すべての選択肢がトレーニング済みプロファイルに対応します。

画像生成用プロファイルの選択。IDのリストとして指定し、プロンプトでは@Profile1、@Profile2などでこれらのプロファイルをタグ付けできます。

POST /run/phota/edit?wait=20 見積もり → $0.09
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/phota/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Photaについて

最大8000文字の`prompt`と`image_urls`から既存の写真を編集します。`image_urls`には少なくとも1枚が必要で、使用できるのは最大10枚です。特定の人物を認識可能な状態に保つには`profile_ids`を渡します。`base_model`はnb2、qwen-image-2、flux-2、seedream-5-proから選べ、4K出力はnb2のみ対応します。JPEGまたはPNG形式で1~4枚を返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 8,000文字
[[profile_id_1]]や[[profile_id_2]]などのプロファイル参照と、作成内容の説明を含められる画像生成プロンプト。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像数。
profile_ids任意
型string[]
画像生成用プロファイルの選択。IDのリストとして指定し、プロンプトでは@Profile1、@Profile2などでこれらのプロファイルをタグ付けできます。
output_format任意
型enum
デフォルトjpeg
jpegpng
結果の画像のファイル形式。
resolution任意
型enum
デフォルト1K
1K4K
生成画像に使用する解像度。
aspect_ratio任意
型enum
デフォルトauto
auto1:116:94:33:49:16
出力画像の横幅と高さの比率。
base_model任意
型enum
デフォルトnb2
nb2qwen-image-2flux-2seedream-5-pro
レンダリングモデルの選択。`4K`は`nb2`でのみ使用できます。選択したベースモデルにアイデンティティレイヤーを重ねるため、すべての選択肢がトレーニング済みプロファイルに対応します。
image_urls必須 images
型url[] · image
編集する画像。URLまたはBase64データURIとして指定します。最初の10件を超える項目は無視されます。少なくとも1枚の画像を指定するか、テキストのみから生成する場合は代わりに`/`エンドポイントを使用します。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "phota/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 90,
    "usd": "0.09",
    "charged": 90,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}編集済み画像を指すURL。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/phota/edit.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt